﻿
html,
body,
#app {
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    /* overflow: hidden; */
}

body {
    background-color: #F6F8FA;
}

[v-clock] {
    display: none;
}

.buildIcon:before {
    content: '';
    display: inline-block;
    width: 22px;
    height: 22px;
    background: url('../images/sysImg/pop-title-build.png') no-repeat center;
    background-size: 100%;
    background-clip: border-box;
    vertical-align: middle;
    margin-right: 12px;
}

.editIcon:before {
    content: '';
    display: inline-block;
    width: 22px;
    height: 22px;
    background: url('../images/sysImg/pop-title-edit.png') no-repeat center;
    background-size: 100%;
    background-clip: border-box;
    vertical-align: middle;
    margin-right: 12px;
}

.label-necessary:before {
    content: '*';
    color: #ff0000;
}
/* 整体布局 */
.layout {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.layout-header {
    /* height: 50px; */
}

.layout-main {
    height: 0;
    flex: 1;
    display: flex;
}

.layout-slide {
    width: 180px;
    height: 100%;
}

.layout-content {
    box-sizing: border-box;
    height: 100%;
    flex: 1;
    overflow-x: hidden;
    background: #fff;
    overflow-y:hidden;
}

/* 滚动条优化 */
.my-scrollbar::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    background-color: #2f3750;
}

.my-scrollbar::-webkit-scrollbar {
    width: 10px;
    background-color: #F5F5F5;
}

.my-scrollbar::-webkit-scrollbar-thumb {
    border-radius: 10px;
    box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background-color: #19223d;
}

.title {
    display: flex;
    align-items: center;
    padding: 0 20px 0 5px;
    justify-content: space-between;
    height: 50px;
}

.title_left span {
    font-size: 16px;
    font-weight: 700;
}

.search-content {
    padding: 8px;
    border-bottom: 1px solid #E4E7F0;
}

.search-btns {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 8px;
}

.operate-items {
    padding: 8px 8px 8px 0;
    text-align: right;
}

.page {
    padding: 7px 7px 7px 0;
    display: flex;
    flex-direction: row-reverse;
}

.ivu-table-cell .ivu-btn {
    padding: 4px 6px;
}

.ivu-table-cell {
    padding: 0 6px;
}

.ivu-table-tip {
    overflow: hidden;
}

.ivu-btn > .ivu-icon + span, .ivu-btn > span + .ivu-icon {
    margin: 0;
}
[v-cloak] {
    display: none;
}
